using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("班组人员关联信息")]
    public partial class T_FM_TEAM_PERSON : MesEntityBase
    {
        /// <summary>
        /// 班组ID
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [Description("班组ID")]
        [DataFieldForeignKey("Nav_Team", "Nav_TeamPersons")]
        public Guid TEAM_ID { get; set; }

        /// <summary>
        /// 班组组长
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [Description("班组组长")]
        [DataFieldForeignKey("Nav_Person", "Nav_TeamPersons")]
        public Guid PERSON_ID { get; set; }

        [Description("导航：人员信息")]
        public virtual T_FM_PERSON Nav_Person { get; set; }

        [Description("导航：班组表")]
        public virtual T_FM_TEAM Nav_Team { get; set; }

    }
}
